% Activation function for the recurrent neural network with parametric bias
% Input:    net - the neural network
%           X - the input pattern that is to be used for activation
% Returns activated network

function net = rnnpb_activate(net, X, PB);

% First layer: input, PBs and context nodes
net.L{1} = [X, PB, net.contextNodes];

% Activate and insert into hidden layer
act1 = net.L{1}*net.w{2};
net.L{2} = 1./(1 + exp(-act1));

% Activate and insert into output layer
act2 = net.L{2}*net.w{1};
net.L{3} = 1./(1 + exp(-act2));

% Activate and update the context nodes
cnAct = net.L{2} * net.contextWeights;
net.contextNodes = 1./(1 + exp(-cnAct));