% This script is a program to run and collect data for the four sequences
% used in the first simulation.  The sensor and angle data for each sensor
% is stored in seperate variables.
%
% moveLeftArm1: raise the left arm
% moveLeftArm2: lower the left arm
% moveRightArm1: raise the right arm
% moveRightArm2: lower the right arm

test = javaObject('Breve');
timeSteps = 30;

% Set start position
goalElbowL = 0;
goalElbowR = 0;
goalShoulderL = [1.5 -0.8 -1];
goalShoulderR = [1.5 0.8 1];
oneSequence(goalElbowL, goalElbowR, goalShoulderL, goalShoulderR, timeSteps)

% Set light ball to start position
lightBall = [-2 4.5 0];
test.read('localhost', 7776, sprintf('move-light_%f_%f_%f', lightBall(1), lightBall(2), lightBall(3)));

% Pause for two seconds so that the user may get ready to move the ball
% manually
pause(2);

% Raise left arm
goalElbowL = 1;
goalElbowR = 0;
goalShoulderL = [0 -0.8 -1];
goalShoulderR = [1.5 0.8 1];
moveLeftArm1 = oneSequence(goalElbowL, goalElbowR, goalShoulderL, goalShoulderR, timeSteps);

% Lower left arm
goalElbowL = 0;
goalElbowR = 0;
goalShoulderL = [1.5 -0.8 -1];
goalShoulderR = [1.5 0.8 1];
moveLeftArm2 = oneSequence(goalElbowL, goalElbowR, goalShoulderL, goalShoulderR, timeSteps);

% Reset ball's position to the center
lightBall = [-2 4.5 0];
test.read('localhost', 7776, sprintf('move-light_%f_%f_%f', lightBall(1), lightBall(2), lightBall(3)));

% Raise right arm
goalElbowL = 0;
goalElbowR = -1;
goalShoulderL = [1.5 -0.8 -1];
goalShoulderR = [0 0.8 1];
moveRightArm1 = oneSequence(goalElbowL, goalElbowR, goalShoulderL, goalShoulderR, timeSteps);

% Lower right arm
goalElbowL = 0;
goalElbowR = 0;
goalShoulderL = [1.5 -0.8 -1];
goalShoulderR = [1.5 0.8 1];
moveRightArm2 = oneSequence(goalElbowL, goalElbowR, goalShoulderL, goalShoulderR, timeSteps);