% This script is a program to run and collect data for the three sequences
% used in the second simulation.  The sensor and angle data for each sensor
% is stored in seperate variables.
%
% bothArmsOut: raise both arms
% bothArmsIn: lower both arms
% bothArmsStill: arms lowered

test = javaObject('Breve');
timeSteps = 30;

% Set start position
goalElbowL = 0;
goalElbowR = 0;
goalShoulderL = [1.5 -0.8 -1];
goalShoulderR = [1.5 0.8 1];
oneSequence(goalElbowL, goalElbowR, goalShoulderL, goalShoulderR, timeSteps)

% Set light ball to start position
lightBall = [-2 4.5 0];
test.read('localhost', 7776, sprintf('move-light_%f_%f_%f', lightBall(1), lightBall(2), lightBall(3)));

% Pause for two seconds so that the user may get ready to move the ball
% manually
pause(2);

% Raise both arms
goalElbowL = 1;
goalElbowR = -1;
goalShoulderL = [0 -0.8 -1];
goalShoulderR = [0 0.8 1];
bothArmsOut = oneSequence(goalElbowL, goalElbowR, goalShoulderL, goalShoulderR, timeSteps);

% Lower both arms
goalElbowL = 0;
goalElbowR = 0;
goalShoulderL = [1.5 -0.8 -1];
goalShoulderR = [1.5 0.8 1];
bothArmsIn = oneSequence(goalElbowL, goalElbowR, goalShoulderL, goalShoulderR, timeSteps);

% Keep both arms lowered
goalElbowL = 0;
goalElbowR = 0;
goalShoulderL = [1.5 -0.8 -1];
goalShoulderR = [1.5 0.8 1];
bothArmsIn = oneSequence(goalElbowL, goalElbowR, goalShoulderL, goalShoulderR, timeSteps);