% This function scales the sequences, and leaves the updated scaled
% variables in the MATLAB workspace.
%
% Input: sensorScale: the value which scales 

% This value must be changed after checking each pattern
% Make sure that the scale is as the highest sensor value.  Should there be
% a value that is much higher than the others (that is not intended, you
% can lower that value so that the scale does not become too high)
sensorScale = 1.9;

% A known good scale (should not be changed)
jointScale = 1.5;

moveLeftArm1(:,5) = moveLeftArm1(:,5)/jointScale;
moveLeftArm2(:,5) = moveLeftArm2(:,5)/jointScale;

moveLeftArm1(:,1:2) = moveLeftArm1(:,1:2)/sensorScale;
moveLeftArm2(:,1:2) = moveLeftArm2(:,1:2)/sensorScale;

moveRightArm1(:,5) = moveRightArm1(:,5)/jointScale;
moveRightArm2(:,5) = moveRightArm2(:,5)/jointScale;

moveRightArm1(:,1:2) = moveRightArm1(:,1:2)/sensorScale;
moveRightArm2(:,1:2) = moveRightArm2(:,1:2)/sensorScale;

moveLeftArm1(:,3) = moveLeftArm1(:,3)/jointScale;
moveLeftArm2(:,3) = moveLeftArm2(:,3)/jointScale;

moveRightArm1(:,3) = moveRightArm1(:,3)/jointScale;
moveRightArm2(:,3) = moveRightArm2(:,3)/jointScale;
bothArms(:,3) = bothArms(:,3)/jointScale;

moveLeftArm1(:,6) = -moveLeftArm1(:,6);
moveLeftArm2(:,6) = -moveLeftArm2(:,6);
moveRightArm1(:,6) = -moveRightArm1(:,6);
moveRightArm2(:,6) = -moveRightArm2(:,6);
