% Functions that creates and trains an RNNPB with the patterns for the
% first simulation.  It uses the variables with recorded data already in
% the MATLAB workspace.
%
% IMPORTANT: Remember to scale the patterns first (as desrcibed in the
% instruction in the appendix of the report)

% Copy patterns
patterns1(:,:,1) = bothArmsOut;
patterns1(:,:,2) = bothArmsIn;
patterns1(:,:,3) = bothArmsStill;

% Number of patterns (sequences)
nPatterns = 3;

% Number of hidden nodes in each network
nHidden1 = 10;

% Number of contex nodes in each network
nCN1 = 20;

% Number of PB nodes
nPB = 3;

% Number of epochs to run
epochs = 50000;

% Learning rate and momentum
n1 = 0.002;
a1 = 0.8;


% PB update rate
m1 = 0.002;


% Begin training
net = run_training(patterns1, nPatterns, nHidden1, nCN1, nPB, epochs, n1, a1, m1);
